Bug 194503 - [PATCH][UPDATE] deskutils/phpicalendar to latest version
Summary: [PATCH][UPDATE] deskutils/phpicalendar to latest version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-20 22:22 UTC by Kalten
Modified: 2014-11-17 12:34 UTC (History)
2 users (show)

See Also:
kalten: maintainer-feedback? (edwin)


Attachments
phpicalendar_r371262_to_2_4-RC7.patch (12.12 KB, patch)
2014-10-20 22:22 UTC, Kalten
no flags Details | Diff
log: make.* output (103.66 KB, text/plain)
2014-10-20 22:24 UTC, Kalten
no flags Details
log: poudriere testport output (90.29 KB, text/plain)
2014-10-20 22:26 UTC, Kalten
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kalten 2014-10-20 22:22:19 UTC
Created attachment 148522 [details]
phpicalendar_r371262_to_2_4-RC7.patch

The version in the ports tree (2.24) does make some trouble.

There is a newer version (2.4-RC7 from 2010-06-15)—sadly they did never
answer to my e-mail about releasing 2.4.

This patch (phpicalendar_r371262_to_2_4-RC7.patch) updates the port deskutils/phpicalendar (from ports tree version r371262) to 2.4-RC7.

I had to introduce a PORTEPOCH as »portlint -AC« was not happy ;-)
---8<---
FATAL: Makefile: phpicalendar-RC7-2.4 < phpicalendar-2.24_2. Choose another PORTVERSION or bump PORTEPOCH.
--->8---
I hope my use of PKGNAMESUFFIX is correct.

Sadly we can not use
---8<---
MASTER_SITES= SF/${PORTNAME}/files/${PORTNAME}/${PORTNAME}%202.4%20RC7
--->8---
as that produces
http://…/project/phpicalendar/files/… instead of
http://…/projects/phpicalendar/files/…

It is under GPLv2 (added that)

Introduced DOCS knob and moved files accordingly.

And there is no
http://phpicalendar.sourceforge.net/ anymore, but
http://sourceforge.net/projects/phpicalendar/ (pkg-descr)

Well:

»portlint -AC« says:
---8<---
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTEPOCH.
0 fatal errors and 2 warnings found.
--->8---

The output of
»setenv DEVELOPER yes; make clean; make stage && make check-plist && make stage-qa && make package«
as well as that of
»poudriere testport deskutils/phpicalendar«
shall follow shortly.

Thank you,
 Kalten
Comment 1 Bugzilla Automation freebsd_committer 2014-10-20 22:22:19 UTC
Maintainer CC'd
Comment 2 Kalten 2014-10-20 22:24:59 UTC
Created attachment 148523 [details]
log: make.* output

»setenv DEVELOPER yes; make clean; make stage && make check-plist && make stage-qa && make package« output
Comment 3 Kalten 2014-10-20 22:26:31 UTC
Created attachment 148524 [details]
log: poudriere testport output

»poudriere testport deskutils/phpicalendar« output
Comment 4 John Marino freebsd_committer 2014-11-10 14:23:50 UTC
Promoting PR without maintainer approval -- maintainer timed out.
Comment 5 Guido Falsi freebsd_committer 2014-11-14 18:15:55 UTC
Committed. Thanks!
Comment 6 commit-hook freebsd_committer 2014-11-14 18:16:24 UTC
A commit references this bug:

Author: madpilot
Date: Fri Nov 14 18:15:38 UTC 2014
New revision: 372569
URL: https://svnweb.freebsd.org/changeset/ports/372569

Log:
  - Update to 2.4-RC7, latest version available
  - Add LICENSE
  - Add support for DOCS option
  - Update WWW line in pkg-descr

  PR:		194503
  Submitted by:	Kalten <kalten at gmx.at>
  Approved by:	maintainer timeout

Changes:
  head/deskutils/phpicalendar/Makefile
  head/deskutils/phpicalendar/distinfo
  head/deskutils/phpicalendar/files/patch-config.inc.php
  head/deskutils/phpicalendar/pkg-descr
  head/deskutils/phpicalendar/pkg-plist
Comment 7 Kalten 2014-11-17 12:34:42 UTC
(In reply to Guido Falsi from comment #5)
> Committed. Thanks!
And I thank you! :-)

Regards,
 Kalten